<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE beans PUBLIC  "-//ACTIVEMQ//DTD//EN" "http://activemq.codehaus.org/dtd/activemq.dtd">
<beans>

  <!-- normal ActiveMQ XML config which is less verbose & can be validated -->
  <broker name="localhost">
    <connector>
      <serverTransport uri="vm://localhost"/>
    </connector>
    <connector>
      <tcpServerTransport uri="tcp://localhost:61301" backlog="1000" useAsyncSend="true" maxOutstandingMessages="50">
        <wireFormat class="org.codehaus.activemq.config.WireFormatStub"/>
      </tcpServerTransport>
    </connector>
    <connector>
      <serverTransport uri="tcp://localhost:61302"/>
    </connector>

    <networkConnector>
      <networkChannel uri="tcp://somehost:61616" remoteUserName="James" remotePassword="Stewey"/>
      <networkChannel uri="tcp://anotherhost:61616"/>
    </networkConnector>

    <persistence>
      <berkeleyDbPersistence directory="target/XmlTest/berkeleydb"/>
    </persistence>

    <redeliveryPolicy backOffMode="true" maximumRetryCount="10"/>

    <security>
      <bean class="org.codehaus.activemq.config.SecurityAdapterStub"/>
    </security>
  </broker>


  <!-- testing normal Spring stuff inside the same config file -->
  <bean id="transport" factory-method="newInstance" class="org.codehaus.activemq.transport.TransportServerChannelProvider">
    <constructor-arg index="0">
      <bean class="org.codehaus.activemq.io.impl.DefaultWireFormat"/>
    </constructor-arg>
    <constructor-arg index="1">
      <value>vm://localhost</value>
    </constructor-arg>
  </bean>

</beans>